//启用typescript
Babel.registerPreset("ts", {
    presets: [
        [Babel.availablePresets["typescript"], { allExtensions: true, allowDeclareFields: true, onlyRemoveTypeImports: true }]
    ],
    plugins: [
        //支持decorators的解析和翻译，
        //但尽量不要用：翻译后与ts相差太大，无法实现ts源码级别的一一对应调试，也影响性能。
        //https://www.babeljs.cn/docs/babel-plugin-proposal-decorators#version
        //用法：https://www.jianshu.com/p/783750f9a687、https://www.cnblogs.com/bleaka/p/16123393.html
        [Babel.availablePlugins["proposal-decorators"], { version: "2023-01" }]

        //jdk17版的graaljs支持decorator，不用babel翻译(仅需保留，使用syntax-decorators)
        //syntax仅解析不翻译(保留原样)：https://www.babeljs.cn/docs/babel-plugin-syntax-decorators
        //,[Babel.availablePlugins["syntax-decorators"], { version: "2023-01" }]
    ]
});